Package org.h2gis.functions.spatial.generalize

## Class ST_SimplifyPolygonHull

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.generalize.ST_SimplifyPolygonHull

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_SimplifyPolygonHull
    extends org.h2gis.api.DeterministicScalarFunction

Computes a simplified topology-preserving outer or inner hull of a polygonal geometry

Author:
  Erwan Bocher, CNRS

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_SimplifyPolygonHull()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `execute​(org.locationtech.jts.geom.Geometry geometry, float vertexNumFraction)` Computes a simplified topology-preserving outer or inner hull of a polygonal geometry.
`static org.locationtech.jts.geom.Geometry` `execute​(org.locationtech.jts.geom.Geometry geometry, float vertexNumFraction, boolean isOuter)` Computes a simplified topology-preserving outer or inner hull of a polygonal geometry.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_SimplifyPolygonHull

    public ST_SimplifyPolygonHull()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### execute

    public static org.locationtech.jts.geom.Geometry execute​(org.locationtech.jts.geom.Geometry geometry,
                                                             float vertexNumFraction)

Computes a simplified topology-preserving outer or inner hull of a polygonal geometry.

Parameters:
  `geometry` - the polygonal geometry to process
  `vertexNumFraction` - the fraction of number of input vertices in result
Returns:
  the hull geometry

#### execute

    public static org.locationtech.jts.geom.Geometry execute​(org.locationtech.jts.geom.Geometry geometry,
                                                             float vertexNumFraction,
                                                             boolean isOuter)

Computes a simplified topology-preserving outer or inner hull of a polygonal geometry.

Parameters:
  `geometry` - the polygonal geometry to process
  `isOuter` - indicates whether to compute an outer or inner hull
  `vertexNumFraction` - the fraction of number of input vertices in result
Returns:
  the hull geometry